--- title: "GetResourceList" slug: "management-resourcemanager-getresourcelist" tags: ["Resource Manager"] updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-resourcemanager-getresourcelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetResourceList Available in Classic and VPC Get the resource list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/resources | ### Request headers For information about the headers common to all Resource Manager APIs, see [Resource Manager request headers](/docs/en/management-resourcemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `nrn` | String | Optional | NAVER Cloud Platform resource identification value - Use when querying a specific resource. | | `productName` | String | Optional | Service code of the resource | | `regionCode` | String | Optional | Region code of the resource | | `resourceType` | String | Optional | Resource type | | `resourceId` | String | Optional | Resource ID | | `resourceName` | String | Optional | Resource name | | `tag` | Array | Optional | Resource tag information: [tag](/docs/en/management-resourcemanager-getresourcelist#tag1) | | `groupName` | String | Optional | Resource group name | | `page` | Integer | Optional | Page number - 0-N (default: 0) | | `size` | Integer | Optional | Page output count - 1-100 (default: 20) | #### `tag` The following describes `tag`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | Required | Tag key - 1-128 characters - Special characters (_, ., /, =, +, -, @) can be used. - When adding an existing key, only the tag value is updated. | | `tagValue` | String | Optional | Tag value - 1-256 characters - Special characters (_, ., /, =, +, -, @) can be used. - Use to identify individual resources sharing a tag key. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://resourcemanager.apigw.ntruss.com/api/v1/resources' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "nrn": "nrn:PUB:IoTDeviceHub::****:Project/49" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Integer | - | Page number | | `size` | Integer | - | Page output count | | `itemCount` | Integer | - | Number of response results | | `hasMore` | Boolean | - | Whether additional pages exist - `true` \| `false` - `true`: It exists - `false`: It doesn't exist | | `items` | Array | - | Response result: [items](/docs/en/management-resourcemanager-getresourcelist#items) | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `nrn` | String | - | NAVER Cloud Platform resource identification value | | `platformType` | String | - | Platform classification - `BOTH` \| `VPC` \| `Classic` - `BOTH`: Common platform environment - `VPC`: VPC environment - `Classic`: Classic environment | | `productName` | String | - | Service code of the resource | | `productDisplayName` | String | - | Service name of the resource | | `regionCode` | String | - | Region code of the resource | | `regionDisplayName` | String | - | Region name of the resource | | `resourceType` | String | - | Resource type | | `resourceId` | String | - | Resource ID | | `resourceName` | String | - | Resource name | | `createTime` | Integer | - | Resource creation date and time (millisecond) - Unix timestamp format | | `eventTime` | Integer | - | Resource modification date and time (millisecond) - Unix timestamp format | | `tag` | Array | - | Resource tag information: [tag](/docs/en/management-resourcemanager-getresourcelist#tag2) - Display when querying a specific resource. | | `group` | Array | - | Resource group name - Display when querying a specific resource. | #### `tag` The following describes `tag`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | - | Tag key | | `tagValue` | String | - | Tag value | ### Response status codes For information about the HTTP status codes common to all Resource Manager APIs, see [Resource Manager response status codes](/docs/en/management-resourcemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "page": 0, "size": 20, "itemCount": 1, "hasMore": false, "items": [ { "nrn": "nrn:PUB:IoTDeviceHub::****:Project/49", "platformType": "BOTH", "productName": "IoTDeviceHub", "productDisplayName": "IoT Device Hub", "regionCode": "KR", "regionDisplayName": "Korea", "resourceType": "Project", "resourceId": "49", "resourceName": "testrename", "createTime": 1646809414000, "eventTime": 1646809414000, "tag": [ { "tagKey": "key02", "tagValue": "key02-01" }, { "tagKey": "key01", "tagValue": "key01-01" } ], "group": [ "group02", "group01" ] } ] } ```